Debian Bug report logs - #662140
[zfsutils] Broken cron.d task

version graph

Package: zfsutils; Maintainer for zfsutils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for zfsutils is src:zfsutils.

Reported by: Dererk <dererk@debian.org>

Date: Sun, 4 Mar 2012 12:54:02 UTC

Severity: normal

Tags: patch

Found in version zfsutils/9.0-1

Fixed in version zfsutils/9.0-2

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#662140; Package zfsutils. (Sun, 04 Mar 2012 12:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dererk <dererk@debian.org>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 04 Mar 2012 12:54:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dererk <dererk@debian.org>
To: submit@bugs.debian.org
Subject: [zfsutils] Broken cron.d task
Date: Sun, 04 Mar 2012 09:13:35 -0300
[Message part 1 (text/plain, inline)]
Package: zfsutils
Version: 9.0-1
Severity: normal
Tags: patch

I got this morning a failure report on some kfreebsd boxes:

From: root@somebox (Cron Daemon)
To: root@somebox
Subject: Cron <root@somebox> if [ $(date +%d) -le 7 ]; then zpool list -H -o name | xargs zpool scrub; fi
Content-Type: text/plain; charset=UTF-8
X-Cron-Env: <SHELL=/bin/sh>
X-Cron-Env: <HOME=/root>
X-Cron-Env: <PATH=/usr/bin:/bin>
X-Cron-Env: <LOGNAME=root>
Message-Id: <someid>
Date: Sun,  4 Mar 2012 00:57:01 -0300 (ART)

/bin/sh: 1: zpool: not found
xargs: zpool: No such file or directory


Tracking it down, the reason behind it is because either full path to
zpool wasn't specified or because PATH doesn't include :/sbin on the
array, as you can see on the ENV report.


Please either provide a fullpath to the script or export "/sbin" on PATH
environment value for this cron task.


Cheers,

Dererk

-- 
BOFH excuse #373:
Suspicious pointer corrupted virtual machine
BOFH excuse #307:
emissions from GSM-phones


[signature.asc (application/pgp-signature, attachment)]

Added tag(s) pending. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 04 Mar 2012 13:06:27 GMT) Full text and rfc822 format available.

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Tue, 08 May 2012 06:51:03 GMT) Full text and rfc822 format available.

Notification sent to Dererk <dererk@debian.org>:
Bug acknowledged by developer. (Tue, 08 May 2012 06:51:03 GMT) Full text and rfc822 format available.

Message #12 received at 662140-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 662140-close@bugs.debian.org
Subject: Bug#662140: fixed in zfsutils 9.0-2
Date: Tue, 08 May 2012 06:48:13 +0000
Source: zfsutils
Source-Version: 9.0-2

We believe that the bug you reported is fixed in the latest version of
zfsutils, which is due to be installed in the Debian FTP archive:

libnvpair1-udeb_9.0-2_kfreebsd-i386.udeb
  to main/z/zfsutils/libnvpair1-udeb_9.0-2_kfreebsd-i386.udeb
libnvpair1_9.0-2_kfreebsd-i386.deb
  to main/z/zfsutils/libnvpair1_9.0-2_kfreebsd-i386.deb
libumem1-udeb_9.0-2_kfreebsd-i386.udeb
  to main/z/zfsutils/libumem1-udeb_9.0-2_kfreebsd-i386.udeb
libumem1_9.0-2_kfreebsd-i386.deb
  to main/z/zfsutils/libumem1_9.0-2_kfreebsd-i386.deb
libuutil1-udeb_9.0-2_kfreebsd-i386.udeb
  to main/z/zfsutils/libuutil1-udeb_9.0-2_kfreebsd-i386.udeb
libuutil1_9.0-2_kfreebsd-i386.deb
  to main/z/zfsutils/libuutil1_9.0-2_kfreebsd-i386.deb
libzfs1-udeb_9.0-2_kfreebsd-i386.udeb
  to main/z/zfsutils/libzfs1-udeb_9.0-2_kfreebsd-i386.udeb
libzfs1_9.0-2_kfreebsd-i386.deb
  to main/z/zfsutils/libzfs1_9.0-2_kfreebsd-i386.deb
libzpool1-udeb_9.0-2_kfreebsd-i386.udeb
  to main/z/zfsutils/libzpool1-udeb_9.0-2_kfreebsd-i386.udeb
libzpool1_9.0-2_kfreebsd-i386.deb
  to main/z/zfsutils/libzpool1_9.0-2_kfreebsd-i386.deb
zfsutils-udeb_9.0-2_kfreebsd-i386.udeb
  to main/z/zfsutils/zfsutils-udeb_9.0-2_kfreebsd-i386.udeb
zfsutils_9.0-2.debian.tar.gz
  to main/z/zfsutils/zfsutils_9.0-2.debian.tar.gz
zfsutils_9.0-2.dsc
  to main/z/zfsutils/zfsutils_9.0-2.dsc
zfsutils_9.0-2_kfreebsd-i386.deb
  to main/z/zfsutils/zfsutils_9.0-2_kfreebsd-i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 662140@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated zfsutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 07 May 2012 23:55:36 +0200
Source: zfsutils
Binary: libuutil1 libuutil1-udeb libnvpair1 libnvpair1-udeb libzfs1 libzfs1-udeb zfsutils zfsutils-udeb libumem1 libumem1-udeb libzpool1 libzpool1-udeb
Architecture: source kfreebsd-i386
Version: 9.0-2
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 libnvpair1 - OpenSolaris name-value pair library
 libnvpair1-udeb - OpenSolaris name-value pair library (debian-installer version) (udeb)
 libumem1   - OpenSolaris memory-management library
 libumem1-udeb - OpenSolaris memory-management library (debian-installer version) (udeb)
 libuutil1  - OpenSolaris userland utility library
 libuutil1-udeb - OpenSolaris userland utility library (debian-installer version) (udeb)
 libzfs1    - OpenSolaris ZFS library
 libzfs1-udeb - OpenSolaris ZFS library (debian-installer version) (udeb)
 libzpool1  - OpenSolaris interface library to manage ZFS storage pools
 libzpool1-udeb - OpenSolaris interface library to manage ZFS storage pools (debian (udeb)
 zfsutils   - command-line tools to manage ZFS filesystems
 zfsutils-udeb - command-line tools to manage ZFS filesystems (debian-installer ve (udeb)
Closes: 662140
Changes: 
 zfsutils (9.0-2) unstable; urgency=low
 .
   * Remove gratuitous build-dependency on libsbuf-dev (see upstream rev
     226940).
   * Set PATH in weekly scrub crontab.  (Closes: #662140)
Checksums-Sha1: 
 a6407cfe73dba204beeacc90cdd9483853859e5d 2012 zfsutils_9.0-2.dsc
 99c2df7cf68d420c48905c882587925a563dfaa4 57200 zfsutils_9.0-2.debian.tar.gz
 409137f7cce83c179827cb94420dafb21c0790e5 32032 libuutil1_9.0-2_kfreebsd-i386.deb
 3c714e7f9402eddd6a0eef137bb54af211954961 18390 libuutil1-udeb_9.0-2_kfreebsd-i386.udeb
 e2b5ac1646b5d41866fef2cfe5e86ff148ccc4fa 37532 libnvpair1_9.0-2_kfreebsd-i386.deb
 afa79ced4a2d6573fa8ed84925ccb7dbf50dc075 24100 libnvpair1-udeb_9.0-2_kfreebsd-i386.udeb
 0ffaf5a7fbed8f9ec0d350e2c4bf43ca4819bbcc 141318 libzfs1_9.0-2_kfreebsd-i386.deb
 95a9efa4263c24c697c7d738d23dc59adb0df4ec 127608 libzfs1-udeb_9.0-2_kfreebsd-i386.udeb
 d8e4329e475e7ad1473414f1805bda52dadb2902 238294 zfsutils_9.0-2_kfreebsd-i386.deb
 104997dfe9db949e4ea182ef3ffae1b5dcd444d4 81168 zfsutils-udeb_9.0-2_kfreebsd-i386.udeb
 afb962b4b3081326807376b3f589c1ba49727594 16596 libumem1_9.0-2_kfreebsd-i386.deb
 a63547f2e63ef1ad264f422acd465e63afb73821 3128 libumem1-udeb_9.0-2_kfreebsd-i386.udeb
 b08163fc6b03785545c22fb3b306a8e65c663640 557170 libzpool1_9.0-2_kfreebsd-i386.deb
 8238e7bb4e72e06aa7bb6d6217a0534b9c34234d 543620 libzpool1-udeb_9.0-2_kfreebsd-i386.udeb
Checksums-Sha256: 
 577f3e7e8deed4b2278b301c7561ce731546d7836a6b4835e2b2439a8cf1383a 2012 zfsutils_9.0-2.dsc
 8f3e41fedd50f66e12d0d9773ad26e5019b66652c4c6596e9a80559325e36c9b 57200 zfsutils_9.0-2.debian.tar.gz
 823870964f93d15c7dc962fb8e92c93a1774c5ec483bfc05a3801fb89066ab16 32032 libuutil1_9.0-2_kfreebsd-i386.deb
 cfab0b1e755c2466fca9be999fb8b3e8835a5c0fcbec85e58232a8b433a27c20 18390 libuutil1-udeb_9.0-2_kfreebsd-i386.udeb
 c79c6a194b487b615b8b04eed432de7f2daebd8d6449d1b1a793b31d2e77b2b2 37532 libnvpair1_9.0-2_kfreebsd-i386.deb
 6e079412f871aa0ad20a8f168a6828dab4fe39f6315bf6cea8585eb038e8aa07 24100 libnvpair1-udeb_9.0-2_kfreebsd-i386.udeb
 6228a8fb51e4d4ea3f7ebf5f2d5a14d98aa0ffce6865df4b9abb1635f75edfc5 141318 libzfs1_9.0-2_kfreebsd-i386.deb
 1c7b13dc15eaf24b9cfccf9cfc65cb033b29bf9cecaf4f7d0fef4566febe5a8d 127608 libzfs1-udeb_9.0-2_kfreebsd-i386.udeb
 ee30a2a2b605f402db5bdd6d86c36cf01ff287a8f08adb6181fa333c60ab92fe 238294 zfsutils_9.0-2_kfreebsd-i386.deb
 f490739e192cfa38e3732c27fa1f35bdfac652fc8eaa766763716c92df1d8fe9 81168 zfsutils-udeb_9.0-2_kfreebsd-i386.udeb
 a84984ea85e6a40be576f4484b6e90ae30e844d112f1bf614d0ef51e92f1ee84 16596 libumem1_9.0-2_kfreebsd-i386.deb
 75168e0e16de7780fa80a668ae0cc1a7325aa6886ba19db8c805fe45717e6814 3128 libumem1-udeb_9.0-2_kfreebsd-i386.udeb
 73a9e8841fc06d6a6581b008d25f5fb9fed7690c1f27b20525aca72144b2a4b1 557170 libzpool1_9.0-2_kfreebsd-i386.deb
 a7e8a714f01f79abd7db873843b816308d7200daf1f35d0c84652acb1e169db7 543620 libzpool1-udeb_9.0-2_kfreebsd-i386.udeb
Files: 
 97ac31e27b3a6587b56fb9060253c668 2012 admin optional zfsutils_9.0-2.dsc
 54ed3ef258d1b293a9fc87579b0035cc 57200 admin optional zfsutils_9.0-2.debian.tar.gz
 45cbe4f7eac3c245f89ab26c2effd485 32032 libs optional libuutil1_9.0-2_kfreebsd-i386.deb
 20c5a80fc2d4d3c272e5267cb0311473 18390 debian-installer optional libuutil1-udeb_9.0-2_kfreebsd-i386.udeb
 1841a0debb48449a72e6eaab51931ad3 37532 libs optional libnvpair1_9.0-2_kfreebsd-i386.deb
 8d19cf3a1aa8e82532a99e9c26706de2 24100 debian-installer optional libnvpair1-udeb_9.0-2_kfreebsd-i386.udeb
 72316273aa89ee4f82c74e28a7e48bd7 141318 libs optional libzfs1_9.0-2_kfreebsd-i386.deb
 43a4285ecf9391ce56c257d97035d58d 127608 debian-installer optional libzfs1-udeb_9.0-2_kfreebsd-i386.udeb
 53cf3d886b1c3da3cfb06b9c42cb8b49 238294 admin optional zfsutils_9.0-2_kfreebsd-i386.deb
 4c94d65be3a688e97335517d1dbcda0c 81168 debian-installer optional zfsutils-udeb_9.0-2_kfreebsd-i386.udeb
 d8272d075b455e402f226b67df1c1549 16596 libs optional libumem1_9.0-2_kfreebsd-i386.deb
 1bd8a1839aaf29193fa6aa5d76d0de70 3128 debian-installer optional libumem1-udeb_9.0-2_kfreebsd-i386.udeb
 f2d0be284ff70c0b0fcbca034b0e0260 557170 libs optional libzpool1_9.0-2_kfreebsd-i386.deb
 094a1be769fd5de36554eee09bf21f33 543620 debian-installer optional libzpool1-udeb_9.0-2_kfreebsd-i386.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/kFreeBSD)

iEYEARECAAYFAk+oSOMACgkQC19io6rUCv+/kgCfUZFbfALQpp1k/guU3J/0/JsY
QUcAn0p/ws6SrYnrbJrGnpA6F5T7yvtG
=XBR2
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 15 Jun 2012 07:37:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 10:44:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.